//[passport-contacts-core](../../../index.md)/[com.yandex.passport.contacts.core](../index.md)/[IdentityProvider](index.md)

# IdentityProvider

[passport-contacts-core]\
interface [IdentityProvider](index.md)

Interface for host apps to provide installation identities.

## Properties

| Name | Summary |
|---|---|
| [deviceId](device-id.md) | [passport-contacts-core]<br>abstract val [deviceId](device-id.md): DeviceId |
| [uuid](uuid.md) | [passport-contacts-core]<br>abstract val [uuid](uuid.md): Uuid |
